glutTimerFunc(3GLUT)

NAME
glutTimerFunc - registers a timer callback to be triggered in a specified number of milliseconds.

SYNTAX
#include <GLUT/glut.h>

void glutTimerFunc(unsigned int msecs,
		   void (*func)(int value), value);

ARGUMENTS

msecs
    Number of milliseconds to pass before calling the callback.

func
    The timer callback function.

value
    Integer value to pass to the timer callback.

DESCRIPTION
glutTimerFunc registers the timer callback func to be triggered in at least msecs milliseconds. The value parameter to the timer callback will be the value of the value parameter to glutTimerFunc. Multiple timer callbacks at same or differing times may be registered simultaneously. The number of milliseconds is a lower bound on the time before the callback is generated. GLUT attempts to deliver the timer callback as soon as possible after the expiration of the callback's time interval. There is no support for canceling a registered callback. Instead, ignore a callback based on its value parameter when it is triggered.

SEE ALSO
glutIdleFunc

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)